libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Files | Enumerations | Functions | Variables
helpers for GSM

## Files
file | bitvec_gsm.h

## Enumerations
enum | bit_value

## Functions
enum bit_value | bitvec_get_bit_pos (const struct bitvec *bv, unsigned int bitnr)
enum bit_value | bitvec_get_bit_pos_high (const struct bitvec *bv, unsigned int bitnr)
unsigned int | bitvec_get_nth_set_bit (const struct bitvec *bv, unsigned int n)
int | bitvec_set_bit_pos (struct bitvec *bv, unsigned int bitnr, enum bit_value bit)
int | bitvec_set_bit (struct bitvec *bv, enum bit_value bit)
int | bitvec_get_bit_high (struct bitvec *bv)
int | bitvec_set_bits (struct bitvec *bv, const enum bit_value *bits, unsigned int count)
int | bitvec_set_u64 (struct bitvec *bv, uint64_t v, uint8_t num_bits, bool use_lh)
int | bitvec_set_uint (struct bitvec *bv, unsigned int ui, unsigned int num_bits)
int | bitvec_get_uint (struct bitvec *bv, unsigned int num_bits)
int | bitvec_find_bit_pos (const struct bitvec *bv, unsigned int n, enum bit_value val)
int | bitvec_spare_padding (struct bitvec *bv, unsigned int up_to_bit)
int | bitvec_get_bytes (struct bitvec *bv, uint8_t *bytes, unsigned int count)
int | bitvec_set_bytes (struct bitvec *bv, const uint8_t *bytes, unsigned int count)
struct bitvec * | bitvec_alloc (unsigned int size, void *ctx)
void | bitvec_free (struct bitvec *bv)
int | bitvec_unhex (struct bitvec *bv, const char *src)
unsigned int | bitvec_pack (const struct bitvec *bv, uint8_t *buffer)
unsigned int | bitvec_unpack (struct bitvec *bv, const uint8_t *buffer)
uint64_t | bitvec_read_field (struct bitvec *bv, unsigned int *read_index, unsigned int len)
int | bitvec_write_field (struct bitvec *bv, unsigned int *write_index, uint64_t val, unsigned int len)
int | bitvec_fill (struct bitvec *bv, unsigned int num_bits, enum bit_value fill)
char | bit_value_to_char (enum bit_value v)
void | bitvec_to_string_r (const struct bitvec *bv, char *str)
void | bitvec_zero (struct bitvec *bv)
unsigned | bitvec_rl (const struct bitvec *bv, bool b)
unsigned | bitvec_rl_curbit (struct bitvec *bv, bool b, unsigned int max_bits)
void | bitvec_shiftl (struct bitvec *bv, unsigned int n)
int16_t | bitvec_get_int16_msb (const struct bitvec *bv, unsigned int num_bits)
unsigned int | bitvec_add_array (struct bitvec *bv, const uint32_t *array, unsigned int array_len, bool dry_run, unsigned int num_bits)
static unsigned int | bitvec_used_bytes (const struct bitvec *bv)
static unsigned int | bitvec_tailroom_bits (const struct bitvec *bv)
static unsigned int | bytenum_from_bitnum (unsigned int bitnum)
static uint8_t | bitval2mask (enum bit_value bit, uint8_t bitnum)
static unsigned | leading_bits (uint8_t x, bool b)
void | bitvec_shiftl (struct bitvec *bv, unsigned n)
void | bitvec_add_range1024 (struct bitvec *bv, const struct gsm48_range_1024 *r)
| append range1024 encoded data to bit vector More...

## Variables
| ZERO
| ONE
| L
| H

## Detailed Description

## Function Documentation

## ◆ bitvec_add_range1024()

void bitvec_add_range1024 | ( | struct bitvec * | bv,
|  | const struct gsm48_range_1024 * | r
| ) |  |

append range1024 encoded data to bit vector

Parameters

  [out] | bv | Caller-provided output bit-vector
  [in] | r | Input Range1024 sructure

References bitvec_set_uint().

Referenced by append_utran_fdd().